## openmpi 2.0.2

=== debian/changelog ===
openmpi (2.0.2-2) unstable; urgency=medium

  * Move to unstable. Closes: #8487574

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 10 Feb 2017 05:43:32 +0000

openmpi (2.0.2-1) experimental; urgency=medium

  * New upstream release
    - opal_fifo.patch obsoleted
    - reproducible.patch merged upstream
    - libpmix no longer built
  * Fix some manpage macros that break whatis.
  * Disable rpath generation by mpi wrappers.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 06 Feb 2017 08:44:44 +0000

openmpi (2.0.2~git.20161225-9) unstable; urgency=medium

  * Fix incorrect SONAME version in symlink. Closes: #847805

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 15 Jan 2017 11:08:14 +0000

openmpi (2.0.2~git.20161225-8) unstable; urgency=medium

  * Multiarch support. Closes: #833728, #842881.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 17 Dec 2016 14:17:24 +0000

openmpi (2.0.2~git.20161225-7) unstable; urgency=medium

  [ Thibaut Jean-Claude Paumard ]
  * Fix opal_fifo test. Closes: #848218.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Dec 2016 13:52:51 +0000

openmpi (2.0.2~git.20161225-6) unstable; urgency=medium

  * More hurd fixes: man pages for oshrun need to be conditional.
    Closes: #846965.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 13 Dec 2016 07:10:17 +0000

openmpi (2.0.2~git.20161225-5) unstable; urgency=medium

  * Updated build_hurd patch, Samuel Thibault. Closes: #846965
  * Ack. prevously fixed bug. Closes: #847806

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 12 Dec 2016 11:38:15 +0000

openmpi (2.0.2~git.20161225-4) unstable; urgency=medium

  * Fix manpages

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Dec 2016 14:58:34 +0000

openmpi (2.0.2~git.20161225-3) experimental; urgency=medium

  * Fix conditional inclusion and linking of liboshmem.so and
    libmca_common_ompio.so. Closes: #838623.
  * Mark openmpi-doc as Multi-Arch: foreign
  * Mark as fixed in previous release: Closes: #845594. #846635
  * Invert NO_TEST condition as broken for hppa, i386 in debian/rules
  * Forward patches upstream and update comments in patch:
   - arm_detection.patch
   - x32.patch
   - link_libfabric.patch
  * Remove obsolete (unapplied) patches from debian/patches/*
  * Updates to build_hurd patch from Samuel Thibault Closes: #846965

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 05 Dec 2016 10:34:42 +0000

openmpi (2.0.2~git.20161225-2) experimental; urgency=medium

  * Add B-D for flex.
  * Don't use external libevent in experimental; not threaded

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 03 Dec 2016 08:23:29 +0000

openmpi (2.0.2~git.20161225-1) experimental; urgency=medium

  * Test build of upstream snapshot for #845594
    - ship libpmix and plugins
    - orte-submit no longer included

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 02 Dec 2016 15:52:04 +0000

openmpi (2.0.1-8) experimental; urgency=medium

  * Disable java on hurd-i386. Closes: #842746.
  * Test building with psm support on amd64, intel

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 03 Nov 2016 09:16:55 +0000

openmpi (2.0.1-7) unstable; urgency=medium

  * Link libfabric. Closes: #841643

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 21 Oct 2016 19:01:25 +0100

openmpi (2.0.1-6) experimental; urgency=medium

  * Enable BTL unit tests
  * Build against external libevent (>= 2.1 in experimental)

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 14 Sep 2016 05:40:27 +0100

openmpi (2.0.1-5) unstable; urgency=medium

  * Fix for wait that breaks mpi4py. Closes: #837536.
  * Incorrect SONAME links. Patch thanks to Andread Beckmann.
    Closes: #837525
  * Build with java bindings on mipsel, but not hppa. Closes: #837446

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 12 Sep 2016 07:54:45 +0100

openmpi (2.0.1-4) unstable; urgency=medium

  * Fixes for build_hurd. Also, don't run tests on hurd
  * Remove buggy ${pkgincludedir} references from pkgconfig files.
    Closes: #837062.
  * Add Breaks/Replaces for libopenmpi1.6 to -dev. Closes: #837392

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Sep 2016 11:32:28 +0100

openmpi (2.0.1-3) unstable; urgency=medium

  * libopen-pal.so link broken due to typo.
  * Re-enable rest of hurd patch (non hostnamelen parts)
  * commit missed: Don't run tests on slow hppa

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 06 Sep 2016 10:58:45 +0100

openmpi (2.0.1-2) experimental; urgency=medium

  * Fix for powerpc/--enable-mpi-cxx FTBFS.
  * Don't run tests on slow hppa

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 05 Sep 2016 15:33:00 +0100

openmpi (2.0.1-1) experimental; urgency=medium

  * New upstream release 
    - soversion patch now merged upstream.
    - build_hurd patch obsoleted/merged upstream.
    - arm patches now merged upstream
    - update soversion minor numbers
  * Ship libmpi_java shared library
  * regression: oshmem ships on Linux only; make conditional in rules
  * Make java conditional; not on mipsel (segfaults there, fails on hppa)
  * Adapt arm64 atomics patch for  new ifdefs.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 04 Sep 2016 16:35:04 +0100

openmpi (2.0.0-6) experimental; urgency=medium

  * Fix --with-fabric; regression

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 01 Sep 2016 05:36:34 +0100

openmpi (2.0.0-5) experimental; urgency=medium

  * More ompi -> opal_ changes ;  need testing
  * --verbs conditional support was also inverted
  * conditional syntax: --with-jdk-dir, not --with-jdk
  * --enable-builtin-atomics : test against mips, powerpc lockups

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 31 Aug 2016 09:24:53 +0100

openmpi (2.0.0-4) experimental; urgency=medium

  * Test versioning patch
  * Change OMPI_ -> OPAL_ names in patches for opal/ directory; 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 30 Aug 2016 02:46:59 +0100

openmpi (2.0.0-3) experimental; urgency=medium


