=== debian/changelog ===
openmpi (2.1.1-8) unstable; urgency=medium

  * Remove obsolete dependency on libcr-dev. Closes: #877009
  * Disable Java on ia64. Closes: 888286

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 05 Feb 2018 09:06:53 +0000

openmpi (2.1.1-7) unstable; urgency=medium

  * Add multistage support to make bootstrappable. Closes: #871243
  * Standards-Version: 4.1.0; no changes required
  * Typos in package names in rules: openpi -> openmpi
  * Move to debhelper level 10; remove dependencies on automake, 
    autoconf, autotools-dev, libtool

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 27 Sep 2017 13:33:11 +0100

openmpi (2.1.1-6) unstable; urgency=medium

  * Use --enable-builtin-atomics on s390x. Delete test patch Closes: #865465

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 22 Jun 2017 22:46:24 +0100

openmpi (2.1.1-5) unstable; urgency=medium

  * Remove Multi-Arch: foreign on -dev. Closes: #865468
  * Standards-Version: 4.0.0; no changes required
  * Update soversions to fix symlinks:
    - libopen-pal 20.10.0 -> 20.10.1
    - libopen-rte 20.10.0 -> 20.10.1
    - libmca_common_sm  20.10.0 -> 20.10.1
    - libmpi_mpifh  20.10.0 -> 20.11.0
    Closes: #865471, #865540
  * Fix typo in test patch for s390x 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 22 Jun 2017 16:18:21 +0100

openmpi (2.1.1-4) unstable; urgency=medium

  * Push to unstable
  * Test fix for s390x FTBFS

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 21 Jun 2017 08:06:45 +0100

openmpi (2.1.1-3) experimental; urgency=medium

  * Test patch #3589 for s390x

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 01 Jun 2017 14:15:25 +0100

openmpi (2.1.1-2) experimental; urgency=medium

  * Add updated patch for x32 detection
  * Delete old ignore-cma.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 15 May 2017 11:22:44 +0100

openmpi (2.1.1-1) experimental; urgency=medium

  * New upstream release
  * Add sparc64 to the no-CMA support list

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 May 2017 12:28:12 +0100

openmpi (2.1.1~rc1-1) experimental; urgency=medium

  * New upstream release
    - Disable CMA on archs where it fails
    - x32 patch now merged upstream

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 04 May 2017 16:51:00 +0100

openmpi (2.1.0rc2-2) experimental; urgency=medium

  * Patch for arm64 FTBFS
  * Patch for mipsel, other FTBFS

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 04 May 2017 14:56:55 +0100

openmpi (2.1.0rc2-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 21 Mar 2017 17:04:18 +0000

openmpi (2.1.0rc1-1) experimental; urgency=medium

  * New upstream release
  * Update soversion minor versions to 20.10.0

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 06 Mar 2017 09:58:38 +0000
