=== debian/control ===
--- 
+++ 
@@ -4,20 +4,20 @@
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Uploaders: Debian Open MPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>,
  Manuel Prinz <manuel@debian.org>, Sylvestre Ledru <sylvestre@debian.org>
-Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), 
- automake, autoconf (>= 2.59),  libtool, libltdl-dev, autotools-dev,
+Build-Depends: dpkg-dev (>= 1.16.1~), 
+ debhelper (>= 10), 
+ libltdl-dev,
  gfortran, gcc (>= 4:5.2.1), chrpath, 
  libhwloc-dev,
  pkg-config,
  libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
  libfabric-dev [amd64 i386],
  libpsm-infinipath1-dev [amd64 i386],
- libcr-dev [amd64 armel armhf i386 powerpc], 
  libnuma-dev [amd64 i386 ia64 mips mipsel mipsn32 mipsn32el mips64 mips64el powerpc ppc64el],
- default-jdk,
+ default-jdk <!stage1>,
  flex
 Build-Conflicts: libmpich-dev, libopenmpi-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: http://www.open-mpi.org/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-openmpi/openmpi/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-openmpi/openmpi/trunk/
@@ -53,7 +53,6 @@
 Package: libopenmpi-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}, libopenmpi2 (= ${binary:Version}), openmpi-common (= ${source:Version}), 
  libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libhwloc-dev
 Conflicts: openmpi-dev, libopenmpi-dev, openmpi-bin (<= 1.2.4-0), libopenmpi2 (<= 2.0.0-1)
