=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,11 @@
 NO_VERBS_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390x
 FABRIC_ARCH:= amd64 i386 
 PSM_ARCH:= amd64 i386
-NO_JAVA_ARCH:= hppa hurd-i386
+BUILTIN_ATOMICS_ARCH:= s390x
+NO_CMA_ARCH:= s390x mipsel hppa alpha armhf armel m68k sparc64
+NO_JAVA_ARCH:= hppa hurd-i386 ia64
 NO_TEST_ARCH:= hppa hurd-i386
+
 
 ifeq (sparc,$(DEB_HOST_GNU_CPU))
 	CFLAGS += -mcpu=v9
@@ -28,6 +31,9 @@
 ifneq (,$(findstring  " $(DEB_HOST_ARCH)",$(NO_VERBS_ARCH)))
 	VERBS := --with-verbs
 endif
+ifneq (,$(findstring $(DEB_HOST_ARCH),$(BUILTIN_ATOMICS_ARCH)))
+	ENABLE_BUILTIN_ATOMICS:= --enable-builtin-atomics
+endif
 ifneq (,$(findstring $(DEB_HOST_ARCH),$(FABRIC_ARCH)))
 	FABRIC := --with-libfabric
 endif
@@ -35,7 +41,9 @@
 	PSM:= --with-psm
 endif
 ifeq ($(filter $(NO_JAVA_ARCH),$(DEB_HOST_ARCH)),)
+ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 	JAVA := --with-jdk-dir=/usr/lib/jvm/default-java --enable-mpi-java
+endif
 endif
 ifneq (,$(findstring $(DEB_HOST_ARCH),$(NO_TEST_ARCH)))
 	DO_TEST := false
@@ -43,6 +51,9 @@
 else
 	DO_TEST := true
 	BTL_TESTS:= --enable-opal-btl-usnic-unit-tests
+endif
+ifneq (,$(findstring $(DEB_HOST_ARCH),$(NO_CMA_ARCH)))
+	CMA:= --without-cma
 endif
 
 # Flags for the static build: see bug #502232
@@ -67,7 +78,8 @@
                 sed -e 's%@TRIPLET@%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  > debian/$$f ; \
                 done
 	dh_auto_configure -- \
-		$(VERBS) $(FABRIC) $(PSM) \
+		$(VERBS) $(FABRIC) $(PSM) $(CMA) \
+		$(ENABLE_BUILTIN_ATOMICS) \
 		$(JAVA) \
 		$(STATIC_CONFIG_PARAMS) \
 		$(BTL_TESTS) \
@@ -132,44 +144,39 @@
 		cp -a debian/tmp/usr/bin/oshmem_info  debian/openmpi-bin//usr/bin/ ; \
 		cp -a debian/tmp/usr/bin/oshcc	 debian/libopenmpi-dev/usr/bin   ; \
 		cp -a debian/tmp/usr/bin/oshfort   debian/libopenmpi-dev/usr/bin   ; \
-		cp -a debian/tmp/${LIBDIR}/openmpi/lib/liboshmem.so.20.0.2 debian/libopenmpi2/${LIBDIR}/openmpi/lib ; \
+		cp -a debian/tmp/${LIBDIR}/openmpi/lib/liboshmem.so.20.10.1 debian/libopenmpi2/${LIBDIR}/openmpi/lib ; \
 		cp -a debian/tmp/usr/share/man/man1/oshcc.1 debian/libopenmpi-dev/usr/share/man/man1 ; \
 		cp -a debian/tmp/usr/share/man/man1/oshfort.1 debian/libopenmpi-dev/usr/share/man/man1 ; \
 		cp -a debian/tmp/usr/share/man/man1/oshrun.1 debian/openmpi-bin/usr/share/man/man1 ; \
 		cp -a debian/tmp/usr/share/man/man1/oshmem_info.1 debian/openmpi-bin/usr/share/man/man1 ; \
 		dh_link -p libopenmpi-dev	${LIBDIR}/liboshmem.so.20  ${LIBDIR}/liboshmem.so ; \
-		dh_link -p libopenmpi2 ${LIBDIR}/openmpi/lib/liboshmem.so.20.0.2  ${LIBDIR}/liboshmem.so.20 ; \
+		dh_link -p libopenmpi2 ${LIBDIR}/openmpi/lib/liboshmem.so.20.10.1  ${LIBDIR}/liboshmem.so.20 ; \
 	fi
-	if test -f debian/tmp/${LIBDIR}/openmpi/lib/libmpi_java.so.20.0.1 ; then \
-		cp -a debian/tmp/${LIBDIR}/openmpi/lib/libmpi_java.so.20.0.1 \
-			debian/libopenmpi2/${LIBDIR}/openmpi/lib/libmpi_java.so.20.0.1 ; \
-		dh_link -p libopenmpi2 ${LIBDIR}/libmpi_java.so.20.0.1  ${LIBDIR}/libmpi_java.so.20 ; \
-		dh_link -p libopenmpi2 ${LIBDIR}/openmpi/lib/libmpi_java.so.20.0.1 ${LIBDIR}/libmpi_java.so.20.0.1 ; \
-		dh_link -p libopenpi-dev ${LIBDIR}/libmpi_java.so.20	${LIBDIR}/libmpi_java.so ; \
+	if test -f debian/tmp/${LIBDIR}/openmpi/lib/libmpi_java.so.20.10.0 ; then \
+		cp -a debian/tmp/${LIBDIR}/openmpi/lib/libmpi_java.so.20.10.0 \
+			debian/libopenmpi2/${LIBDIR}/openmpi/lib/libmpi_java.so.20.10.0 ; \
+		dh_link -p libopenmpi2 ${LIBDIR}/libmpi_java.so.20.10.0  ${LIBDIR}/libmpi_java.so.20 ; \
+		dh_link -p libopenmpi2 ${LIBDIR}/openmpi/lib/libmpi_java.so.20.10.0 ${LIBDIR}/libmpi_java.so.20.10.0 ; \
+		dh_link -p libopenmpi-dev ${LIBDIR}/libmpi_java.so.20	${LIBDIR}/libmpi_java.so ; \
 	fi
-	if test -f debian/tmp/${LIBDIR}/openmpi/lib/libmca_common_ompio.so.20.0.0 ; then  \
-		cp -a debian/tmp/${LIBDIR}/openmpi/lib/libmca_common_ompio.so.20.0.0 \
-			debian/libopenmpi2/${LIBDIR}/openmpi/lib/libmca_common_ompio.so.20.0.0 ; \
-		dh_link -p libopenmpi2   ${LIBDIR}/libmca_common_ompio.so.20.0.0  ${LIBDIR}/libmca_common_ompio.so.20 ; \
-		dh_link -p libopenmpi2 ${LIBDIR}/openmpi/lib/libmca_common_ompio.so.20.0.0 ${LIBDIR}/libmca_common_ompio.so.20.0.0 ; \
-		dh_link -p libopenpi-dev ${LIBDIR}/libmca_common_ompio.so.20	${LIBDIR}/libmca_common_ompio.so ; \
+	if test -f debian/tmp/${LIBDIR}/openmpi/lib/libmca_common_ompio.so.20.10.0 ; then  \
+		cp -a debian/tmp/${LIBDIR}/openmpi/lib/libmca_common_ompio.so.20.10.0 \
+			debian/libopenmpi2/${LIBDIR}/openmpi/lib/libmca_common_ompio.so.20.10.0 ; \
+		dh_link -p libopenmpi2   ${LIBDIR}/libmca_common_ompio.so.20.10.0  ${LIBDIR}/libmca_common_ompio.so.20 ; \
+		dh_link -p libopenmpi2 ${LIBDIR}/openmpi/lib/libmca_common_ompio.so.20.10.0 ${LIBDIR}/libmca_common_ompio.so.20.10.0 ; \
+		dh_link -p libopenmpi-dev ${LIBDIR}/libmca_common_ompio.so.20	${LIBDIR}/libmca_common_ompio.so ; \
 	fi
-	if test -f debian/tmp/${LIBDIR}/openmpi/lib/libmca_common_verbs.so.20.0.0 ; then \
-		cp -a debian/tmp/${LIBDIR}/openmpi/lib/libmca_common_verbs.so.20.0.0 \
-			debian/libopenmpi2/${LIBDIR}/openmpi/lib/libmca_common_verbs.so.20.0.0 ; \
-		dh_link -p libopenmpi2   ${LIBDIR}/libmca_common_verbs.so.20.0.0  ${LIBDIR}/libmca_common_verbs.so.20 ; \
-		dh_link -p libopenmpi2 ${LIBDIR}/openmpi/lib/libmca_common_verbs.so.20.0.0 ${LIBDIR}/libmca_common_verbs.so.20.0.0 ; \
-		dh_link -p libopenpi-dev ${LIBDIR}/libmca_common_verbs.so.20	${LIBDIR}/libmca_common_verbs.so ; \
+	if test -f debian/tmp/${LIBDIR}/openmpi/lib/libmca_common_verbs.so.20.10.0 ; then \
+		cp -a debian/tmp/${LIBDIR}/openmpi/lib/libmca_common_verbs.so.20.10.0 \
+			debian/libopenmpi2/${LIBDIR}/openmpi/lib/libmca_common_verbs.so.20.10.0 ; \
+		dh_link -p libopenmpi2   ${LIBDIR}/libmca_common_verbs.so.20.10.0  ${LIBDIR}/libmca_common_verbs.so.20 ; \
+		dh_link -p libopenmpi2 ${LIBDIR}/openmpi/lib/libmca_common_verbs.so.20.10.0 ${LIBDIR}/libmca_common_verbs.so.20.10.0 ; \
+		dh_link -p libopenmpi-dev ${LIBDIR}/libmca_common_verbs.so.20	${LIBDIR}/libmca_common_verbs.so ; \
 	fi
-	if test -f debian/tmp/${LIBDIR}/openmpi/lib/libmca_common_libfabric.so.20.0.0 ; then \
-		cp -a debian/tmp/${LIBDIR}/openmpi/lib/libmca_common_libfabric.so.20.0.0 \
-			debian/libopenmpi2/${LIBDIR}/openmpi/lib/libmca_common_libfabric.so.20.0.0 ; \
-		dh_link -p libopenmpi2   ${LIBDIR}/libmca_common_libfabric.so.20.0.0  ${LIBDIR}/libmca_common_libfabric.so.20 ; \
-		dh_link -p libopenmpi2 ${LIBDIR}/openmpi/lib/libmca_common_libfabric.so.20.0.0 ${LIBDIR}/libmca_common_libfabric.so.20.0.0 ; \
-		dh_link -p libopenmpi-dev   ${LIBDIR}/libmca_common_libfabric.so.20.0.0  ${LIBDIR}/libmca_common_libfabric.so ; \
+	if test -f debian/tmp/${LIBDIR}/openmpi/lib/libmca_common_libfabric.so.20.10.0 ; then \
+		cp -a debian/tmp/${LIBDIR}/openmpi/lib/libmca_common_libfabric.so.20.10.0 \
+			debian/libopenmpi2/${LIBDIR}/openmpi/lib/libmca_common_libfabric.so.20.10.0 ; \
+		dh_link -p libopenmpi2   ${LIBDIR}/libmca_common_libfabric.so.20.10.0  ${LIBDIR}/libmca_common_libfabric.so.20 ; \
+		dh_link -p libopenmpi2 ${LIBDIR}/openmpi/lib/libmca_common_libfabric.so.20.10.0 ${LIBDIR}/libmca_common_libfabric.so.20.10.0 ; \
+		dh_link -p libopenmpi-dev   ${LIBDIR}/libmca_common_libfabric.so.20.10.0  ${LIBDIR}/libmca_common_libfabric.so ; \
 	fi
-	if test -f debian/tmp/usr/bin/shmemrun ; then \
-		cp -a debian/tmp/usr/bin/shmemrun debian/openmpi-bin/usr/bin/shmemrun ;\
-		cp -a debian/tmp/usr/share/man/man1/shmemrun.1 debian/openmpi-bin/usr/share/man/man1 ; \
-		cp -a debian/tmp/usr/bin/shmemcc debian/libopenmpi-dev/usr/bin/shmemcc ; \
-		cp -a debian/tmp/usr/bin/shmemfort debian/libopenmpi-dev/usr/bin/shmemfort ; \
